package de.ivu.elect.business.wahl.entity;

public enum Wahlgang {

  ERSTER_WAHLGANG {
    @Override
    public boolean isErsterWahlgang() {
      return true;
    }

    @Override
    public boolean isStichwahl() {
      return false;
    }

    @Override
    public boolean isWiederholungswahl() {
      return false;
    }
  },
  ZWEITER_WAHLGANG {
    @Override
    public boolean isErsterWahlgang() {
      return false;
    }

    @Override
    public boolean isStichwahl() {
      return true;
    }

    @Override
    public boolean isWiederholungswahl() {
      return false;
    }
  },
  WIEDERHOLUNG {
    @Override
    public boolean isErsterWahlgang() {
      return false;
    }

    @Override
    public boolean isStichwahl() {
      return false;
    }

    @Override
    public boolean isWiederholungswahl() {
      return true;
    }
  };


  public abstract boolean isErsterWahlgang();

  public abstract boolean isStichwahl();

  public abstract boolean isWiederholungswahl();

}
